osgDB::ImageOptions::TexCoordRange Struct Reference

`#include <ImageOptions>`

Inheritance diagram for osgDB::ImageOptions::TexCoordRange:

## Public Member Functions

| TexCoordRange ()
void | set (double x, double y, double w, double h)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

double | _x
double | _y
double | _w
double | _h

## Protected Member Functions

virtual | ~TexCoordRange ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Used as UserData attached to generated osg::Image's

## Constructor & Destructor Documentation

## TexCoordRange()

osgDB::ImageOptions::TexCoordRange::TexCoordRange | ( |  | ) |

inline

References _h, _w, _x, and _y.

## ~TexCoordRange()

virtual osgDB::ImageOptions::TexCoordRange::~TexCoordRange | ( |  | ) |

inline protected virtual

## Member Function Documentation

## set()

void osgDB::ImageOptions::TexCoordRange::set | ( | double | x,
|  | double | y,
|  | double | w,
|  | double | h )

inline

References _h, _w, _x, and _y.

## Member Data Documentation

## _h

double osgDB::ImageOptions::TexCoordRange::_h

Referenced by set(), and TexCoordRange().

## _w

double osgDB::ImageOptions::TexCoordRange::_w

Referenced by set(), and TexCoordRange().

## _x

double osgDB::ImageOptions::TexCoordRange::_x

Referenced by set(), and TexCoordRange().

## _y

double osgDB::ImageOptions::TexCoordRange::_y

Referenced by set(), and TexCoordRange().

The documentation for this struct was generated from the following file:

- ImageOptions